import type { OB_Pis_SimpleObject } from "./pis";
import type { ServiceDetail } from "../database/timetable";

export interface OB_TrainTT_service {
    stpIndicator: string;
    operator: string;
    trainUid: string;
    headcode: string;
    powerType: string;
    planSpeed: number;
    scheduleStart: Date;
    scheduleEnd: Date;
    daysRun: string[];
    stops: OB_TrainTT_stopDetail[];
    pis?: OB_Pis_SimpleObject;
    serviceDetail: ServiceDetail;
}

export interface OB_TrainTT_stopDetail {
    publicDeparture?: string;
    publicArrival?: string;
    wttDeparture?: string;
    wttArrival?: string;
    pass?: string;
    platform?: string;
    arrLine?: string;
    depLine?: string;
    tiploc: string;
    isPublic: boolean;
}