interface Station {
    STANOX:   string;
    TIPLOC:   string;
    "3ALPHA":   string;
    NLCDESC:  string;
    location: stationLocation;
    operator: string;
}

interface stationLocation {
    type: "Point";
    coordinates: number[];
}

interface NearestStationResponse {
    "3ALPHA": string;
    NLCDESC: string;
    miles: number;
}

export { Station, NearestStationResponse }